XvStopVideo(__libmansuffix__)

NAME
XvStopVideo - stop active video

SYNOPSIS
#include <X11/extensions/Xvlib.h>

int XvStopVideo(Display *dpy, XvPortID port, Drawable draw);

ARGUMENTS

dpy Specifies the connection to the X server.

port
    Specifies the port for which video is to be stopped.

draw
    Specifies the drawable associated with the named port.

DESCRIPTION
XvStopVideo(__libmansuffix__) stops active video for the specified port and drawable. If the port is not processing video, or if it is processing video in a different drawable, the request is ignored. When video is stopped a XvVideoNotify(__libmansuffix__) event with detail XvStopped is generated for the associated drawable.

RETURN VALUES

[Success]
    Returned if XvStopVideo(__libmansuffix__) completed successfully.

[XvBadExtension]
    Returned if the Xv extension is unavailable.

[XvBadAlloc]
    Returned if XvStopVideo(__libmansuffix__) failed to allocate memory to process the request.

DIAGNOSTICS

[XvBadPort]
    Generated if the requested port does not exist.

[BadDrawable]
    Generated if the requested drawable does not exist.

SEE ALSO
XvGetVideo(__libmansuffix__), XvPutVideo(__libmansuffix__), XvVideoNotify(__libmansuffix__)